	body {
		-webkit-text-size-adjust: 100%;
		margin: 0;
		padding: 0;
	}

	html.pc-access.global-menu-active,
	body.pc-access.global-menu-active {
		position: fixed !important;
		overflow: auto !important;
		overflow-y: scroll !important;
		width: 100% !important;
	}
	html.iphone-access.global-menu-active,
	html.android-access.global-menu-active,
	html.tb-access.global-menu-active,
	body.iphone-access.global-menu-active,
	body.android-access.global-menu-active,
	body.tb-access.global-menu-active {
		position: fixed !important;
		overflow: hidden !important;
		height: 100% !important;
		width: 100% !important;
	}

	/* body.transoff *,
	body.transoff *::after,
	body.transoff *::before
	{
		transition: none !important;
	} */

	body #global-menu-mask {
		opacity: 0;
		/*transition: all 0.5s ease;*/
		transition: unset;
	}
	body #global-menu-mask.open,
	body #global-menu-mask.close {
		opacity: 1;
		display: block;
		position: fixed;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		width: 100%;
		height: 100%;
		cursor: pointer;
		background-color: rgba(0, 0, 0, 0.75);
		z-index: 9;
	}
	body #global-menu-mask.open {
		transition: unset;
		animation: ani-fuwa-open 1s;
		animation-fill-mode: forwards;
	}
	@keyframes ani-fuwa-open {
		0% {
			opacity: 0;
		}
		100% {
			opacity: 1;
		}
	}
	body #global-menu-mask.close {
		transition: unset;
		animation: ani-fuwa-close 1 1s 0.2s;
		animation-fill-mode: forwards;
	}
	@keyframes ani-fuwa-close {
		0% {
			opacity: 1;
		}
		100% {
			opacity: 0;
		}
	}

	#global-header {
		margin: 0;
		padding: 0;
		text-decoration: none;
		width: 100%;
		height: var(--global-menu-top);
		line-height: var(--global-menu-top);
		position: fixed;
		top: 0;
		right: 0;
		z-index:999;
	}

	#global-menu {
		position: fixed;
		top: var(--global-menu-top);
		display: block;
		pointer-events: none;
		width: var(--global-menu-width);
		height: var(--global-menu-height);
		max-height: fit-content;
		background-color: #ecdef7;
		transition: all 0.9s ease;
		overflow: hidden;
		z-index: 10;
		font-size: initial;
		line-height: initial;
		text-align: initial;
	}
	body.global-menu-active #global-menu {
		pointer-events: unset;
	}
	body.iphone-access #global-menu,
	body.android-access #global-menu {
		width: 50%;
	}

	#global-menu.topdown,
	#global-menu.leftright
	{
		right: 0;
		opacity: 0;
	}
	#global-menu.topdown.active {
		animation: ani-topdown 1 0.7s 0s;
		animation-fill-mode: forwards;
	}
	#global-menu.leftright.active {
		animation: ani-leftright 1 0.7s 0s;
		animation-fill-mode: forwards;
	}
	/*
	@keyframes ani-topdown {
		0% {
			height: 0;
			opacity: 1;
		}
		100% {
			height: var(--global-menu-height);
			opacity: 1;
		}
	}
	*/
	@keyframes ani-topdown {
		0% {
			opacity: 0;
			transform: translateY(-2000px);
		}
		100% {
			opacity: 1;
			transform: translateY(0px);
		}
	}
	@keyframes ani-leftright {
		0% {
			opacity: 0;
			transform: translateX(2000px);
		}
		100% {
			opacity: 1;
			transform: translateX(0px);
		}
	}

	#global-menu.topdown-close {
		animation: ani-topdown-close 1s;
		animation-fill-mode: forwards;
	}
	#global-menu.leftright-close {
		animation: ani-leftright-close 1s;
		animation-fill-mode: forwards;
	}
	/*
	@keyframes ani-topdown-close {
		0% {
			height: var(--global-menu-height);
			opacity: 1;
		}
		100% {
			height: 0;
			opacity: 1;
		}
	}
	*/
	@keyframes ani-topdown-close {
		0% {
			opacity: 1;
			transform: translateY(0px);
		}
		100% {
			opacity: 0;
			transform: translateY(-2000px);
		}
	}
	@keyframes ani-leftright-close {
		0% {
			opacity: 1;
			transform: translateX(0px);
		}
		100% {
			opacity: 0;
			transform: translateX(2000px);
		}
	}

	#global-menu.fuwa {
		right: 0;
		opacity: 0;
	}
	#global-menu.fuwa.active {
		right: 0;
		opacity: 1;
		transition: all 0.6s ease;
	}

	#global-menu.right {
		right: -100%;
	}
	#global-menu.right.active {
		right: 0;
		transition: all 0.6s ease;
	}
	#global-menu.top-right {
		right: 0;
		top: -100%;
	}
	#global-menu.top-right.active {
		right: 0;
		top: var(--global-menu-top);
		transition: all 0.6s ease;
	}

	#global-menu.left {
		left: -100%;
	}
	#global-menu.left.active {
		left: 0;
		transition: all 0.6s ease;
	}
	#global-menu.top-left {
		left: 0;
		top: -100%;
	}
	#global-menu.top-left.active {
		left: 0;
		top: var(--global-menu-top);
		transition: all 0.6s ease;
	}

	#global-menu ul {
		list-type: none;
	}
	#global-menu ul li {
		list-style-type: none;
	}

	#global-pagetop {
		position: fixed;
		right: 20px;
		bottom: 20px;
		cursor: pointer;
		transition: unset;
		visibility: hidden;
		opacity: 0;
	}
	#global-pagetop.active {
		animation: ani-pagetop-open 0.5s;
		animation-fill-mode: forwards;
	}
	#global-pagetop.erase {
		animation: ani-pagetop-close 0.5s;
		animation-fill-mode: forwards;
	}
	body.iphone-access #global-pagetop.erase,
	body.tb-access #global-pagetop.erase
	{
		/* transition: 1s; */
	}
	@keyframes ani-pagetop-open {
		0% {
			visibility: hidden;
			opacity: 0;
		}
		100% {
			visibility: visible;
			opacity: 1;
		}
	}
	@keyframes ani-pagetop-close {
		0% {
			visibility: visible;
			opacity: 1;
		}
		100% {
			visibility: hidden;
			opacity: 0;
		}
	}

	.overflow-off {
		overflow: hidden !important;
	}


	#global-main {
		margin: 0;
		padding: 0;
		width: 100%;
		padding-top: var(--global-menu-top);
	}
